//---------------------------------------------------------------------------
#ifndef VLUH
#define VLUH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
#include "VLEng.h"
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
    TPanel *Panel;
    TButton *B0;
    TButton *B1;
    TButton *B2;
    TButton *B3;
    TButton *B4;
    TButton *B5;
    TButton *B6;
    TButton *B7;
    TButton *B8;
    TButton *B9;
    TButton *B10;
    TButton *B11;
    TButton *Button13;
    TPanel *ControlPanel;
    TEdit *DescBox;
    TEdit *CostBox;
    TLabel *Label1;
    TLabel *Label2;
    TLabel *Label3;
    TButton *OKButton;
    TMemo *Display;
    TPanel *Panel1;
    TButton *Button1;
    TEdit *IdEdit;
    TLabel *Label4;
    TLabel *Label5;
    TLabel *bookdis;
    TButton *QuitButton;
    void __fastcall B0Click(TObject *Sender);
    void __fastcall Button13Click(TObject *Sender);
    void __fastcall OKButtonClick(TObject *Sender);
    void __fastcall FormActivate(TObject *Sender);
    void __fastcall QuitButtonClick(TObject *Sender);
private:	// User declarations
  VLType MyVL;
  void ProcessButton(int ButtonId);
  void SetDisplay(int ButtonId);
  AnsiString SetCaption(int ButtonId);
  int CurrentTag;
public:		// User declarations
    __fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
